Weight problem when running regression
08/10/2022 05:28 PM - Parth Pandya

Status: Resolved Start date: 08/10/2022
Priority: High % Done: 100%
Assignee: Olena Kaminska

Category:

Description

When | try to do a regression | come up with the error in screenshot below. My weight values have to be different because of the way
Understanding Society has set the weight up. How do | go around this problem? Thank you so much!

History

#1 - 08/12/2022 02:38 PM - Understanding Society User Support Team

- Status changed from New to In Progress

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.
We aim to respond to simple queries within 48 hours and more complex issues within 7 working days.

Best wishes,
Understanding Society User Support Team

#2 - 08/12/2022 03:29 PM - Olena Kaminska
Dear Parth,
Sounds like your set up of the dataset / weight variable is wrong. Can you tell us how you created your dataset, and how you selected your weight?

Best,
Olena

#3 - 08/12/2022 03:49 PM - Parth Pandya

I merged the j and k individual response datasets. | used the j and k indinui_Iw weight variable because | am going to be doing pooled regressions. |
think the problem is that wave 1 has j value and wave 2 has k value. Should | make the weight for each respondent the k value?

#4 - 08/16/2022 11:08 AM - Parth Pandya
- File Screen Shot 2022-08-16 at 11.06.36.png added

Me again, sorry! | also have a new problem with psu. | have decided to change my dataset and merge indresp of waves a, f, and k. However | get this
error. | have checked Data Editor and the psu is the same across every individual so | am not sure what the issue is.

#5 - 08/26/2022 03:49 PM - Understanding Society User Support Team
- Assignee set to Olena Kaminska

- % Done changed from 0 to 50

#6 - 09/01/2022 04:08 PM - Olena Kaminska
Parth,

Is your dataset in long or short format? What are your units of analysis?

Thanks,
Olena

#7 - 10/19/2022 01:55 PM - Understanding Society User Support Team

- Status changed from In Progress to Feedback

#8 - 11/30/2023 11:02 AM - Understanding Society User Support Team
- Status changed from Feedback to Resolved

- % Done changed from 50 to 100
